Deleting edge loops creates holes in uv map
Closed, ResolvedPublic

Description

If i delete an edge loop from an unwrapped mesh with "X -> Edge Loop" then it creates holes in the uv map instead of reconnecting the now joined faces.

I appended an example file. Just delete the selected loop with "X -> Edge Loop" and you will see that there are now two uv islands.

niabot (Tobias Oelgarte) added a comment.Via Old WorldDec 21 2012, 4:26 PM

PS: Blender r53214

ton (Ton Roosendaal) added a comment.Via Old WorldDec 21 2012, 5:44 PM

Did this ever work?

niabot (Tobias Oelgarte) added a comment.Via Old WorldDec 21 2012, 5:54 PM

If i remember correctly it did work in some versions. But I'm not sure if before or after bmesh integration.

sanctuary (Sanc Tuary) added a comment.Via Old WorldDec 21 2012, 6:49 PM

a workaround is to go into Edge selection mode and press X -> Dissolve (then enable "dissolve verts" in the operator tab) , it will then effectively remove the edge loop but without making any hole in the uv.

niabot (Tobias Oelgarte) added a comment.Via Old WorldDec 22 2012, 1:40 PM

If dissolve with "disolve verts" already does the same and it right, why don't we just use this method in the background of "delete edge loop"?

brecht (Brecht Van Lommel) added a comment.Via Old WorldDec 24 2012, 1:25 PM

I think this is a more complex issue than it might seem at first sight. Often it's good to join the UVs so they stay connected, but if they we're already disconnected and you then connect them it will create a mess. Ideally it could be clever about this and detect this, but it needs some higher level logic that as far as I know was never implemented.

ton (Ton Roosendaal) added a comment.Via Old WorldDec 29 2012, 10:13 AM

Campbell can decide whether this is a bug, or a todo item for later. :)

campbellbarton (Campbell Barton) added a comment.Via Old WorldJan 8 2013, 6:53 PM

fixed r53666.

campbellbarton (Campbell Barton) closed this task as "Resolved".Via Old WorldJan 8 2013, 6:53 PM

Add Comment